Bug 171191 - MySQL fails to change its resource limits
MySQL fails to change its resource limits
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 04:44 EDT by Andrew Stribblehill
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 11:03:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Stribblehill 2005-10-19 04:44:55 EDT
Description of problem:
MySQL wants to change resource limits, presumably to allow it to open more than
the default 1024 files. It's being turned down by the default targeted policy:

type=AVC msg=audit(1129710527.170:31578): avc:  denied  { sys_resource } for
pid=14869 comm="mysqld" capability=24 scontext=root:system_r:mysqld_t
tcontext=root:system_r:mysqld_t tclass=capability
type=AVC msg=audit(1129710527.170:31578): avc:  denied  { setrlimit } for 
pid=14869 comm="mysqld" scontext=root:system_r:mysqld_t
tcontext=root:system_r:mysqld_t tclass=process
type=SYSCALL msg=audit(1129710527.170:31578): arch=c000003e syscall=160
success=yes exit=0 a0=7 a1=7fffff9043f0 a2=46e a3=d2e6e0 items=0 pid=14869
auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 comm="mysqld"
exe="/usr/libexec/mysqld"


Version-Release number of selected component (if applicable):
# rpm -q selinux-policy-targeted
selinux-policy-targeted-1.27.1-2.3


How reproducible:
Always

Steps to Reproduce:
1./etc/init.d/mysql stop
2./etc/init.d/mysql start
3.view /var/log/audit/audit.log
  
Actual results:


Expected results:


Additional info:
Comment 1 Daniel Walsh 2005-11-30 16:23:48 EST
Fixed in selinux-policy-targeted-1.27.1-2.14
Comment 3 Daniel Walsh 2006-05-05 11:03:33 EDT
Closing as these have been marked as modified, for a while.  Feel free to reopen
if not fixed

Note You need to log in before you can comment on or make changes to this bug.